import request from '@/utils/request'
//获取任务基本数据
export function getBoardData(token) {
  return request({
    url: `/analyze/analyse/task?token=${encodeURIComponent(token)}`,
    method:'get'
  })
}
//获取任务的进度
export function getTaskProgressData(token) {
  return request({
    url: `/analyze/progress?token=${encodeURIComponent(token)}`,
    method:'get'
  })
}
//获取折线图数据
export function getBugSubmitInfo(token) {
  return request({
    url: `/analyze/analyse/BugSubmitInfo?token=${encodeURIComponent(token)}&piece=10`,
    method:'get'
  })
}

//获取散点图数据
export function getBugScatterInfo(token) {
  return request({
    url: `/analyze/analyse/BugInfo?token=${encodeURIComponent(token)}`,
    method:'get'
  })
}

export function getPeopleData(token,userId) {
  return request({
    url: `/analyze/analyse/people?token=${encodeURIComponent(token)}&workId=${userId}`,
    method:'get'
  })
}
