const state = {
  taskData: {},
  peopleData:{}
}

const mutations = {
  SET_TASK_DATA: (state, data) => {
    state.taskData = data
  },
  SET_PEOPLE_DATA: (state, data) => {
    state.peopleData = data
  },
}

const actions = {
  setTaskData({ commit }, data) {
    commit('SET_TASK_DATA', data)
  },
  setPeopleData({commit},data) {
    commit('SET_PEOPLE_DATA',data)
  }
}

const getters = {
  getTaskData: () => {
    return state.taskData;
  },
  getPeopleData: () => {
    return state.peopleData;
  },
}
export default {
  // namespaced: true,
  state,
  getters,
  mutations,
  actions
}
